# Ogre::GLXError Class Reference

Simple CLI error output. More...

`#include <OgreGLXError.h>`

Inheritance diagram for Ogre::GLXError:

List of all members.

## Public Member Functions

| GLXError ()
void | display (const String &errorMessage, String logName="")
| Displays the error dialog.

## Detailed Description

Simple CLI error output.

Definition at line 34 of file OgreGLXError.h.

## Constructor & Destructor Documentation

Ogre::GLXError::GLXError | ( |  | ) |

| Definition at line 36 of file OgreGLXError.h.

## Member Function Documentation

void Ogre::GLXError::display | ( | const String & | errorMessage,
|  | String | logName = ""
| ) | `[virtual]`

Displays the error dialog.

Parameters:

  errorMessage | The error message which has caused the failure.
  logName | Optional name of the log to display in the detail pane.

Implements Ogre::ErrorDialog.

Definition at line 39 of file OgreGLXError.h.

References Ogre::String.

The documentation for this class was generated from the following file:

- OgreGLXError.h

Copyright © 2000-2005 by The OGRE Team
Last modified Sun Nov 20 12:41:30 2005